{
   "trees":
   [
      {
         "id" : "xgpolarisfd.weapon",
         "is_instanced" : true,
         "tags" : ["weapon", "first_level_not_upgrade"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "blacksmith.weapon", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.weapon", "requirement_code" : "0" },
                  { "tree_id" : "blacksmith.weapon", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 3000 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.weapon", "requirement_code" : "1" },
                  { "tree_id" : "blacksmith.weapon", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 6000 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.weapon", "requirement_code" : "2" },
                  { "tree_id" : "blacksmith.weapon", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "xgpolarisfd.armour",
         "is_instanced" : true,
         "tags" : ["armour", "first_level_not_upgrade"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "blacksmith.armour", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.armour", "requirement_code" : "0" },
                  { "tree_id" : "blacksmith.armour", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 3000 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.armour", "requirement_code" : "1" },
                  { "tree_id" : "blacksmith.armour", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 6000 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.armour", "requirement_code" : "2" },
                  { "tree_id" : "blacksmith.armour", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },













      {
         "id" : "xgpolarisfd.xgpolarisfd_sk1",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk1", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk1", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk1", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 2500 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk1", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "xgpolarisfd.xgpolarisfd_sk3",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk3", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk3", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk3", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 2500 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk3", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "xgpolarisfd.xgpolarisfd_sk4",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk4", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk4", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk4", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 2500 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk4", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "xgpolarisfd.xgpolarisfd_sk5",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk5", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk5", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk5", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 2500 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk5", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "xgpolarisfd.xgpolarisfd_sk6",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk6", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk6", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk6", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 2500 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk6", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "xgpolarisfd.xgpolarisfd_sk7",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk7", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk7", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk7", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 2500 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk7", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "xgpolarisfd.xgpolarisfd_sk11",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 5000 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk11", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 15000 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk11", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 25000 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk11", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 50000 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "xgpolarisfd.xgpolarisfd_sk11", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      }



   ]
}
